using Test, DataFrames

using FACT_unified_data_IO
using OrchestratorRegistry

@testset "FACT_unified_data_IO manifestIO test" begin
    # Call the function to get the connection
    dict = get_results_container(encoded_auth)
    conn = get_connection(dict)

    # Get an empty DataFrame back because the table doesn't exist
    result_table = get_table(conn, "test_method", "test_arguments", dict)

    # Test conditions
    # Test that the result is a DataFrame
    @test typeof(result_table) == DataFrame
    
    # Test that the DataFrame is empty
    @test size(result_table, 1) == 0 # This checks if the DataFrame has 0 rows.
    @test size(result_table, 2) == 0 # This checks if the DataFrame has 0 columns.
    
    # No test runnable but just execute it
    stop_container_update_image(encoded_auth)
end